#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSS = 858,
  CSS2Properties = 862,
  CSSAnimation = 877,
  CSSConditionRule = 890,
  CSSContainerRule = 907,
  CSSCounterStyleRule = 924,
  CSSCustomPropertyRegisteredEvent = 944,
  CSSFontFaceRule = 977,
  CSSFontFeatureValuesRule = 993,
  CSSFontPaletteValuesRule = 1018,
  CSSGroupingRule = 1043,
  CSSImportRule = 1059,
  CSSKeyframeRule = 1073,
  CSSKeyframesRule = 1089,
  CSSLayerBlockRule = 1106,
  CSSLayerStatementRule = 1124,
  CSSMediaRule = 1146,
  CSSMozDocumentRule = 1159,
  CSSNamespaceRule = 1178,
  CSSPageRule = 1195,
  CSSPropertyRule = 1207,
  CSSPseudoElement = 1223,
  CSSRule = 1240,
  CSSRuleList = 1248,
  CSSScopeRule = 1260,
  CSSStartingStyleRule = 1273,
  CSSStyleDeclaration = 1294,
  CSSStyleRule = 1314,
  CSSStyleSheet = 1327,
  CSSSupportsRule = 1341,
  CSSTransition = 1357,
  Cache = 1371,
  CacheStorage = 1377,
  CallbackDebuggerNotification = 1390,
  CanonicalBrowsingContext = 1419,
  CanvasCaptureMediaStream = 1444,
  CanvasGradient = 1469,
  CanvasPattern = 1484,
  CanvasRenderingContext2D = 1498,
  CaretPosition = 1523,
  CaretStateChangedEvent = 1537,
  ChannelMergerNode = 1560,
  ChannelSplitterNode = 1578,
  ChannelWrapper = 1598,
  CharacterData = 1613,
  CheckerboardReportService = 1627,
  ChildProcessMessageManager = 1653,
  ChildSHistory = 1680,
  ChromeMessageBroadcaster = 1694,
  ChromeMessageSender = 1719,
  ChromeNodeList = 1739,
  ChromeUtils = 1754,
  ChromeWorker = 1766,
  Client = 1779,
  Clients = 1786,
  Clipboard = 1794,
  ClipboardEvent = 1804,
  ClipboardItem = 1819,
  ClonedErrorHolder = 1833,
  CloseEvent = 1851,
  CommandEvent = 1862,
  Comment = 1875,
  CompositionEvent = 1883,
  CompressionStream = 1900,
  ConsoleInstance = 1918,
  ConstantSourceNode = 1934,
  ContentFrameMessageManager = 1953,
  ContentProcessMessageManager = 1980,
  ContentVisibilityAutoStateChangeEvent = 2009,
  ConvolverNode = 2047,
  CountQueuingStrategy = 2061,
  CreateOfferRequest = 2082,
  Credential = 2101,
  CredentialsContainer = 2112,
  Crypto = 2133,
  CryptoKey = 2140,
  CustomElementRegistry = 2150,
  CustomEvent = 2172,
  CustomStateSet = 2184,
  DOMException = 2199,
  DOMImplementation = 2212,
  DOMLocalization = 2230,
  DOMMatrix = 2246,
  DOMMatrixReadOnly = 2256,
  DOMParser = 2274,
  DOMPoint = 2284,
  DOMPointReadOnly = 2293,
  DOMQuad = 2310,
  DOMRect = 2318,
  DOMRectList = 2326,
  DOMRectReadOnly = 2338,
  DOMStringList = 2354,
  DOMStringMap = 2368,
  DOMTokenList = 2381,
  DataTransfer = 2394,
  DataTransferItem = 2407,
  DataTransferItemList = 2424,
  DebuggerNotification = 2445,
  DebuggerNotificationObserver = 2466,
  DecompressionStream = 2495,
  DedicatedWorkerGlobalScope = 2515,
  DelayNode = 2542,
  DeprecationReportBody = 2552,
  DeviceAcceleration = 2574,
  DeviceLightEvent = 2593,
  DeviceMotionEvent = 2610,
  DeviceOrientationEvent = 2628,
  DeviceRotationRate = 2651,
  Directory = 2670,
  Document = 2680,
  DocumentFragment = 2689,
  DocumentL10n = 2706,
  DocumentTimeline = 2719,
  DocumentType = 2736,
  DominatorTree = 2749,
  DragEvent = 2763,
  DynamicsCompressorNode = 2773,
  EXT_blend_minmax = 2796,
  EXT_color_buffer_float = 2813,
  EXT_color_buffer_half_float = 2836,
  EXT_disjoint_timer_query = 2864,
  EXT_float_blend = 2889,
  EXT_frag_depth = 2905,
  EXT_sRGB = 2920,
  EXT_shader_texture_lod = 2929,
  EXT_texture_compression_bptc = 2952,
  EXT_texture_compression_rgtc = 2981,
  EXT_texture_filter_anisotropic = 3010,
  EXT_texture_norm16 = 3041,
  Element = 3060,
  ElementInternals = 3068,
  EncodedAudioChunk = 3085,
  EncodedVideoChunk = 3103,
  ErrorEvent = 3121,
  Event = 3132,
  EventCallbackDebuggerNotification = 3138,
  EventCounts = 3172,
  EventSource = 3184,
  EventTarget = 3196,
  Exception = 3208,
  ExtendableEvent = 3218,
  ExtendableMessageEvent = 3234,
  ExtensionAlarms = 3257,
  ExtensionBrowser = 3273,
  ExtensionBrowserSettings = 3290,
  ExtensionBrowserSettingsColorManagement = 3315,
  ExtensionDns = 3355,
  ExtensionEventManager = 3368,
  ExtensionMockAPI = 3390,
  ExtensionPort = 3407,
  ExtensionProxy = 3421,
  ExtensionRuntime = 3436,
  ExtensionScripting = 3453,
  ExtensionSetting = 3472,
  ExtensionTest = 3489,
  External = 3503,
  FeaturePolicy = 3512,
  FeaturePolicyViolationReportBody = 3526,
  FetchEvent = 3559,
  FetchObserver = 3570,
  File = 3584,
  FileList = 3589,
  FileReader = 3598,
  FileReaderSync = 3609,
  FileSystem = 3624,
  FileSystemDirectoryEntry = 3635,
  FileSystemDirectoryHandle = 3660,
  FileSystemDirectoryHandle_AsyncIterator = 3686,
  FileSystemDirectoryIterator = 3726,
  FileSystemDirectoryReader = 3754,
  FileSystemEntry = 3780,
  FileSystemFileEntry = 3796,
  FileSystemFileHandle = 3816,
  FileSystemHandle = 3837,
  FileSystemSyncAccessHandle = 3854,
  FileSystemWritableFileStream = 3881,
  Flex = 3910,
  FlexItemValues = 3915,
  FlexLineValues = 3930,
  FluentBundle = 3945,
  FluentBundleAsyncIterator = 3958,
  FluentBundleIterator = 3984,
  FluentPattern = 4005,
  FluentResource = 4019,
  FocusEvent = 4034,
  FontFace = 4045,
  FontFaceSet = 4054,
  FontFaceSetIterator = 4066,
  FontFaceSetLoadEvent = 4086,
  FormData = 4107,
  FormData_Iterator = 4116,
  FormDataEvent = 4134,
  FragmentDirective = 4148,
  FrameCrashedEvent = 4166,
  FrameLoader = 4184,
  GPU = 4196,
  GPUAdapter = 4200,
  GPUAdapterInfo = 4211,
  GPUBindGroup = 4226,
  GPUBindGroupLayout = 4239,
  GPUBuffer = 4258,
  GPUBufferUsage = 4268,
  GPUCanvasContext = 4283,
  GPUColorWrite = 4300,
  GPUCommandBuffer = 4314,
  GPUCommandEncoder = 4331,
  GPUCompilationInfo = 4349,
  GPUCompilationMessage = 4368,
  GPUComputePassEncoder = 4390,
  GPUComputePipeline = 4412,
  GPUDevice = 4431,
  GPUDeviceLostInfo = 4441,
  GPUError = 4459,
  GPUInternalError = 4468,
  GPUMapMode = 4485,
  GPUOutOfMemoryError = 4496,
  GPUPipelineLayout = 4516,
  GPUQuerySet = 4534,
  GPUQueue = 4546,
  GPURenderBundle = 4555,
  GPURenderBundleEncoder = 4571,
  GPURenderPassEncoder = 4594,
  GPURenderPipeline = 4615,
  GPUSampler = 4633,
  GPUShaderModule = 4644,
  GPUShaderStage = 4660,
  GPUSupportedFeatures = 4675,
  GPUSupportedLimits = 4696,
  GPUTexture = 4715,
  GPUTextureUsage = 4726,
  GPUTextureView = 4742,
  GPUUncapturedErrorEvent = 4757,
  GPUValidationError = 4781,
  GainNode = 4800,
  Gamepad = 4809,
  GamepadAxisMoveEvent = 4817,
  GamepadButton = 4838,
  GamepadButtonEvent = 4852,
  GamepadEvent = 4871,
  GamepadHapticActuator = 4884,
  GamepadLightIndicator = 4906,
  GamepadPose = 4928,
  GamepadServiceTest = 4940,
  GamepadTouch = 4959,
  Geolocation = 4972,
  GeolocationCoordinates = 4984,
  GeolocationPosition = 5007,
  GeolocationPositionError = 5027,
  GetUserMediaRequest = 5052,
  GleanBoolean = 5072,
  GleanCategory = 5085,
  GleanCounter = 5099,
  GleanCustomDistribution = 5112,
  GleanDatetime = 5136,
  GleanDenominator = 5150,
  GleanEvent = 5167,
  GleanImpl = 5178,
  GleanLabeled = 5188,
  GleanMemoryDistribution = 5201,
  GleanMetric = 5225,
  GleanNumerator = 5237,
  GleanObject = 5252,
  GleanPingsImpl = 5264,
  GleanQuantity = 5279,
  GleanRate = 5293,
  GleanString = 5303,
  GleanStringList = 5315,
  GleanText = 5331,
  GleanTimespan = 5341,
  GleanTimingDistribution = 5355,
  GleanUrl = 5379,
  GleanUuid = 5388,
  Grid = 5398,
  GridArea = 5403,
  GridDimension = 5412,
  GridLine = 5426,
  GridLines = 5435,
  GridTrack = 5445,
  GridTracks = 5455,
  HTMLAllCollection = 5466,
  HTMLAnchorElement = 5484,
  HTMLAreaElement = 5502,
  HTMLAudioElement = 5518,
  HTMLBRElement = 5535,
  HTMLBaseElement = 5549,
  HTMLBodyElement = 5565,
  HTMLButtonElement = 5581,
  HTMLCanvasElement = 5599,
  HTMLCollection = 5617,
  HTMLDListElement = 5632,
  HTMLDataElement = 5649,
  HTMLDataListElement = 5665,
  HTMLDetailsElement = 5685,
  HTMLDialogElement = 5704,
  HTMLDirectoryElement = 5722,
  HTMLDivElement = 5743,
  HTMLDocument = 5758,
  HTMLElement = 5771,
  HTMLEmbedElement = 5783,
  HTMLFieldSetElement = 5800,
  HTMLFontElement = 5820,
  HTMLFormControlsCollection = 5836,
  HTMLFormElement = 5863,
  HTMLFrameElement = 5879,
  HTMLFrameSetElement = 5896,
  HTMLHRElement = 5916,
  HTMLHeadElement = 5930,
  HTMLHeadingElement = 5946,
  HTMLHtmlElement = 5965,
  HTMLIFrameElement = 5981,
  HTMLImageElement = 5999,
  HTMLInputElement = 6016,
  HTMLLIElement = 6033,
  HTMLLabelElement = 6047,
  HTMLLegendElement = 6064,
  HTMLLinkElement = 6082,
  HTMLMapElement = 6098,
  HTMLMarqueeElement = 6113,
  HTMLMediaElement = 6132,
  HTMLMenuElement = 6149,
  HTMLMetaElement = 6165,
  HTMLMeterElement = 6181,
  HTMLModElement = 6198,
  HTMLOListElement = 6213,
  HTMLObjectElement = 6230,
  HTMLOptGroupElement = 6248,
  HTMLOptionElement = 6268,
  HTMLOptionsCollection = 6286,
  HTMLOutputElement = 6308,
  HTMLParagraphElement = 6326,
  HTMLParamElement = 6347,
  HTMLPictureElement = 6364,
  HTMLPreElement = 6383,
  HTMLProgressElement = 6398,
  HTMLQuoteElement = 6418,
  HTMLScriptElement = 6435,
  HTMLSelectElement = 6453,
  HTMLSlotElement = 6471,
  HTMLSourceElement = 6487,
  HTMLSpanElement = 6505,
  HTMLStyleElement = 6521,
  HTMLTableCaptionElement = 6538,
  HTMLTableCellElement = 6562,
  HTMLTableColElement = 6583,
  HTMLTableElement = 6603,
  HTMLTableRowElement = 6620,
  HTMLTableSectionElement = 6640,
  HTMLTemplateElement = 6664,
  HTMLTextAreaElement = 6684,
  HTMLTimeElement = 6704,
  HTMLTitleElement = 6720,
  HTMLTrackElement = 6737,
  HTMLUListElement = 6754,
  HTMLUnknownElement = 6771,
  HTMLVideoElement = 6790,
  HashChangeEvent = 6807,
  Headers = 6823,
  Headers_Iterator = 6831,
  HeapSnapshot = 6848,
  Highlight = 6861,
  HighlightRegistry = 6871,
  History = 6889,
  IDBCursor = 6897,
  IDBCursorWithValue = 6907,
  IDBDatabase = 6926,
  IDBFactory = 6938,
  IDBIndex = 6949,
  IDBKeyRange = 6958,
  IDBObjectStore = 6970,
  IDBOpenDBRequest = 6985,
  IDBRequest = 7002,
  IDBTransaction = 7013,
  IDBVersionChangeEvent = 7028,
  IIRFilterNode = 7050,
  IOUtils = 7064,
  IdentityCredential = 7072,
  IdleDeadline = 7091,
  Image = 7104,
  ImageBitmap = 7110,
  ImageBitmapRenderingContext = 7122,
  ImageCapture = 7150,
  ImageCaptureError = 7163,
  ImageCaptureErrorEvent = 7181,
  ImageData = 7204,
  ImageDocument = 7214,
  InputEvent = 7228,
  InspectorFontFace = 7239,
  InspectorUtils = 7257,
  InstallTriggerImpl = 7272,
  IntersectionObserver = 7291,
  IntersectionObserverEntry = 7312,
  IntlUtils = 7338,
  InvokeEvent = 7348,
  JSProcessActorChild = 7360,
  JSProcessActorParent = 7380,
  JSWindowActorChild = 7401,
  JSWindowActorParent = 7420,
  KeyEvent = 7440,
  KeyboardEvent = 7449,
  KeyframeEffect = 7463,
  L10nFileSource = 7478,
  L10nOverlays = 7493,
  L10nRegistry = 7506,
  LargestContentfulPaint = 7519,
  LegacyMozTCPSocket = 7542,
  Localization = 7561,
  Location = 7574,
  Lock = 7583,
  LockManager = 7588,
  MIDIAccess = 7600,
  MIDIConnectionEvent = 7611,
  MIDIInput = 7631,
  MIDIInputMap = 7641,
  MIDIMessageEvent = 7654,
  MIDIOutput = 7671,
  MIDIOutputMap = 7682,
  MIDIPort = 7696,
  MOZ_debug = 7705,
  MatchGlob = 7715,
  MatchPattern = 7725,
  MatchPatternSet = 7738,
  MathMLElement = 7754,
  MediaCapabilities = 7768,
  MediaCapabilitiesInfo = 7786,
  MediaControlService = 7808,
  MediaController = 7828,
  MediaDeviceInfo = 7844,
  MediaDevices = 7860,
  MediaElementAudioSourceNode = 7873,
  MediaEncryptedEvent = 7901,
  MediaError = 7921,
  MediaKeyError = 7932,
  MediaKeyMessageEvent = 7946,
  MediaKeySession = 7967,
  MediaKeyStatusMap = 7983,
  MediaKeyStatusMap_Iterator = 8001,
  MediaKeySystemAccess = 8028,
  MediaKeys = 8049,
  MediaList = 8059,
  MediaMetadata = 8069,
  MediaQueryList = 8083,
  MediaQueryListEvent = 8098,
  MediaRecorder = 8118,
  MediaRecorderErrorEvent = 8132,
  MediaSession = 8156,
  MediaSource = 8169,
  MediaStream = 8181,
  MediaStreamAudioDestinationNode = 8193,
  MediaStreamAudioSourceNode = 8225,
  MediaStreamError = 8252,
  MediaStreamEvent = 8269,
  MediaStreamTrack = 8286,
  MediaStreamTrackAudioSourceNode = 8303,
  MediaStreamTrackEvent = 8335,
  MerchantValidationEvent = 8357,
  MessageBroadcaster = 8381,
  MessageChannel = 8400,
  MessageEvent = 8415,
  MessageListenerManager = 8428,
  MessagePort = 8451,
  MessageSender = 8463,
  MimeType = 8477,
  MimeTypeArray = 8486,
  MouseEvent = 8500,
  MouseScrollEvent = 8511,
  MozCanvasPrintState = 8528,
  MozDocumentMatcher = 8548,
  MozDocumentObserver = 8567,
  MozQueryInterface = 8587,
  MozSharedMap = 8605,
  MozSharedMap_Iterator = 8618,
  MozSharedMapChangeEvent = 8640,
  MozStorageAsyncStatementParams = 8664,
  MozStorageStatementParams = 8695,
  MozStorageStatementRow = 8721,
  MozWritableSharedMap = 8744,
  MutationEvent = 8765,
  MutationObserver = 8779,
  MutationRecord = 8796,
  NamedNodeMap = 8811,
  NavigationPreloadManager = 8824,
  Navigator = 8849,
  NetworkInformation = 8859,
  Node = 8878,
  NodeFilter = 8883,
  NodeIterator = 8894,
  NodeList = 8907,
  Notification = 8916,
  NotificationEvent = 8929,
  NotifyPaintEvent = 8947,
  OES_draw_buffers_indexed = 8964,
  OES_element_index_uint = 8989,
  OES_fbo_render_mipmap = 9012,
  OES_standard_derivatives = 9034,
  OES_texture_float = 9059,
  OES_texture_float_linear = 9077,
  OES_texture_half_float = 9102,
  OES_texture_half_float_linear = 9125,
  OES_vertex_array_object = 9155,
  OVR_multiview2 = 9179,
  OfflineAudioCompletionEvent = 9194,
  OfflineAudioContext = 9222,
  OffscreenCanvas = 9242,
  OffscreenCanvasRenderingContext2D = 9258,
  Option = 9292,
  OscillatorNode = 9299,
  PageTransitionEvent = 9314,
  PaintRequest = 9334,
  PaintRequestList = 9347,
  PaintWorkletGlobalScope = 9364,
  PannerNode = 9388,
  ParentProcessMessageManager = 9399,
  Path2D = 9427,
  PathUtils = 9434,
  PaymentAddress = 9444,
  PaymentMethodChangeEvent = 9459,
  PaymentRequest = 9484,
  PaymentRequestUpdateEvent = 9499,
  PaymentResponse = 9525,
  PeerConnectionImpl = 9541,
  PeerConnectionObserver = 9560,
  Performance = 9583,
  PerformanceEntry = 9595,
  PerformanceEntryEvent = 9612,
  PerformanceEventTiming = 9634,
  PerformanceMark = 9657,
  PerformanceMeasure = 9673,
  PerformanceNavigation = 9692,
  PerformanceNavigationTiming = 9714,
  PerformanceObserver = 9742,
  PerformanceObserverEntryList = 9762,
  PerformancePaintTiming = 9791,
  PerformanceResourceTiming = 9814,
  PerformanceServerTiming = 9840,
  PerformanceTiming = 9864,
  PeriodicWave = 9882,
  PermissionStatus = 9895,
  Permissions = 9912,
  PlacesBookmark = 9924,
  PlacesBookmarkAddition = 9939,
  PlacesBookmarkChanged = 9962,
  PlacesBookmarkGuid = 9984,
  PlacesBookmarkKeyword = 10003,
  PlacesBookmarkMoved = 10025,
  PlacesBookmarkRemoved = 10045,
  PlacesBookmarkTags = 10067,
  PlacesBookmarkTime = 10086,
  PlacesBookmarkTitle = 10105,
  PlacesBookmarkUrl = 10125,
  PlacesEvent = 10143,
  PlacesEventCounts = 10155,
  PlacesFavicon = 10173,
  PlacesHistoryCleared = 10187,
  PlacesObservers = 10208,
  PlacesPurgeCaches = 10224,
  PlacesRanking = 10242,
  PlacesVisit = 10256,
  PlacesVisitRemoved = 10268,
  PlacesVisitTitle = 10287,
  PlacesWeakCallbackWrapper = 10304,
  Plugin = 10330,
  PluginArray = 10337,
  PluginCrashedEvent = 10349,
  PointerEvent = 10368,
  PopStateEvent = 10381,
  PopupBlockedEvent = 10395,
  PopupPositionedEvent = 10413,
  PositionStateEvent = 10434,
  PrecompiledScript = 10453,
  ProcessMessageManager = 10471,
  ProcessingInstruction = 10493,
  ProgressEvent = 10515,
  PromiseDebugging = 10529,
  PromiseNativeHandler = 10546,
  PromiseRejectionEvent = 10567,
  PublicKeyCredential = 10589,
  PushEvent = 10609,
  PushManager = 10619,
  PushManagerImpl = 10631,
  PushMessageData = 10647,
  PushSubscription = 10663,
  PushSubscriptionOptions = 10680,
  RTCCertificate = 10704,
  RTCDTMFSender = 10719,
  RTCDTMFToneChangeEvent = 10733,
  RTCDataChannel = 10756,
  RTCDataChannelEvent = 10771,
  RTCDtlsTransport = 10791,
  RTCEncodedAudioFrame = 10808,
  RTCEncodedVideoFrame = 10829,
  RTCIceCandidate = 10850,
  RTCIceTransport = 10866,
  RTCIdentityProviderRegistrar = 10882,
  RTCPeerConnection = 10911,
  RTCPeerConnectionIceEvent = 10929,
  RTCPeerConnectionStatic = 10955,
  RTCRtpReceiver = 10979,
  RTCRtpScriptTransform = 10994,
  RTCRtpScriptTransformer = 11016,
  RTCRtpSender = 11040,
  RTCRtpTransceiver = 11053,
  RTCSctpTransport = 11071,
  RTCSessionDescription = 11088,
  RTCStatsReport = 11110,
  RTCTrackEvent = 11125,
  RTCTransformEvent = 11139,
  RadioNodeList = 11157,
  Range = 11171,
  ReadableByteStreamController = 11177,
  ReadableStream = 11206,
  ReadableStream_AsyncIterator = 11221,
  ReadableStreamBYOBReader = 11250,
  ReadableStreamBYOBRequest = 11275,
  ReadableStreamDefaultController = 11301,
  ReadableStreamDefaultReader = 11333,
  Report = 11361,
  ReportBody = 11368,
  ReportingObserver = 11379,
  Request = 11397,
  ResizeObserver = 11405,
  ResizeObserverEntry = 11420,
  ResizeObserverSize = 11440,
  Response = 11459,
  SVGAElement = 11468,
  SVGAngle = 11480,
  SVGAnimateElement = 11489,
  SVGAnimateMotionElement = 11507,
  SVGAnimateTransformElement = 11531,
  SVGAnimatedAngle = 11558,
  SVGAnimatedBoolean = 11575,
  SVGAnimatedEnumeration = 11594,
  SVGAnimatedInteger = 11617,
  SVGAnimatedLength = 11636,
  SVGAnimatedLengthList = 11654,
  SVGAnimatedNumber = 11676,
  SVGAnimatedNumberList = 11694,
  SVGAnimatedPreserveAspectRatio = 11716,
  SVGAnimatedRect = 11747,
  SVGAnimatedString = 11763,
  SVGAnimatedTransformList = 11781,
  SVGAnimationElement = 11806,
  SVGCircleElement = 11826,
  SVGClipPathElement = 11843,
  SVGComponentTransferFunctionElement = 11862,
  SVGDefsElement = 11898,
  SVGDescElement = 11913,
  SVGElement = 11928,
  SVGEllipseElement = 11939,
  SVGFEBlendElement = 11957,
  SVGFEColorMatrixElement = 11975,
  SVGFEComponentTransferElement = 11999,
  SVGFECompositeElement = 12029,
  SVGFEConvolveMatrixElement = 12051,
  SVGFEDiffuseLightingElement = 12078,
  SVGFEDisplacementMapElement = 12106,
  SVGFEDistantLightElement = 12134,
  SVGFEDropShadowElement = 12159,
  SVGFEFloodElement = 12182,
  SVGFEFuncAElement = 12200,
  SVGFEFuncBElement = 12218,
  SVGFEFuncGElement = 12236,
  SVGFEFuncRElement = 12254,
  SVGFEGaussianBlurElement = 12272,
  SVGFEImageElement = 12297,
  SVGFEMergeElement = 12315,
  SVGFEMergeNodeElement = 12333,
  SVGFEMorphologyElement = 12355,
  SVGFEOffsetElement = 12378,
  SVGFEPointLightElement = 12397,
  SVGFESpecularLightingElement = 12420,
  SVGFESpotLightElement = 12449,
  SVGFETileElement = 12471,
  SVGFETurbulenceElement = 12488,
  SVGFilterElement = 12511,
  SVGForeignObjectElement = 12528,
  SVGGElement = 12552,
  SVGGeometryElement = 12564,
  SVGGradientElement = 12583,
  SVGGraphicsElement = 12602,
  SVGImageElement = 12621,
  SVGLength = 12637,
  SVGLengthList = 12647,
  SVGLineElement = 12661,
  SVGLinearGradientElement = 12676,
  SVGMPathElement = 12701,
  SVGMarkerElement = 12717,
  SVGMaskElement = 12734,
  SVGMatrix = 12749,
  SVGMetadataElement = 12759,
  SVGNumber = 12778,
  SVGNumberList = 12788,
  SVGPathElement = 12802,
  SVGPathSeg = 12817,
  SVGPathSegArcAbs = 12828,
  SVGPathSegArcRel = 12845,
  SVGPathSegClosePath = 12862,
  SVGPathSegCurvetoCubicAbs = 12882,
  SVGPathSegCurvetoCubicRel = 12908,
  SVGPathSegCurvetoCubicSmoothAbs = 12934,
  SVGPathSegCurvetoCubicSmoothRel = 12966,
  SVGPathSegCurvetoQuadraticAbs = 12998,
  SVGPathSegCurvetoQuadraticRel = 13028,
  SVGPathSegCurvetoQuadraticSmoothAbs = 13058,
  SVGPathSegCurvetoQuadraticSmoothRel = 13094,
  SVGPathSegLinetoAbs = 13130,
  SVGPathSegLinetoHorizontalAbs = 13150,
  SVGPathSegLinetoHorizontalRel = 13180,
  SVGPathSegLinetoRel = 13210,
  SVGPathSegLinetoVerticalAbs = 13230,
  SVGPathSegLinetoVerticalRel = 13258,
  SVGPathSegList = 13286,
  SVGPathSegMovetoAbs = 13301,
  SVGPathSegMovetoRel = 13321,
  SVGPatternElement = 13341,
  SVGPoint = 13359,
  SVGPointList = 13368,
  SVGPolygonElement = 13381,
  SVGPolylineElement = 13399,
  SVGPreserveAspectRatio = 13418,
  SVGRadialGradientElement = 13441,
  SVGRect = 13466,
  SVGRectElement = 13474,
  SVGSVGElement = 13489,
  SVGScriptElement = 13503,
  SVGSetElement = 13520,
  SVGStopElement = 13534,
  SVGStringList = 13549,
  SVGStyleElement = 13563,
  SVGSwitchElement = 13579,
  SVGSymbolElement = 13596,
  SVGTSpanElement = 13613,
  SVGTextContentElement = 13629,
  SVGTextElement = 13651,
  SVGTextPathElement = 13666,
  SVGTextPositioningElement = 13685,
  SVGTitleElement = 13711,
  SVGTransform = 13727,
  SVGTransformList = 13740,
  SVGUnitTypes = 13757,
  SVGUseElement = 13770,
  SVGViewElement = 13784,
  Sanitizer = 13799,
  Scheduler = 13809,
  Screen = 13819,
  ScreenLuminance = 13826,
  ScreenOrientation = 13842,
  ScriptProcessorNode = 13860,
  ScrollAreaEvent = 13880,
  ScrollViewChangeEvent = 13896,
  SecurityPolicyViolationEvent = 13918,
  Selection = 13947,
  ServiceWorker = 13957,
  ServiceWorkerContainer = 13971,
  ServiceWorkerGlobalScope = 13994,
  ServiceWorkerRegistration = 14019,
  SessionStoreFormData = 14045,
  SessionStoreScrollData = 14066,
  SessionStoreUtils = 14089,
  ShadowRealmGlobalScope = 14107,
  ShadowRoot = 14130,
  SharedWorker = 14141,
  SharedWorkerGlobalScope = 14154,
  SimpleGestureEvent = 14178,
  SourceBuffer = 14197,
  SourceBufferList = 14210,
  SpeechGrammar = 14227,
  SpeechGrammarList = 14241,
  SpeechRecognition = 14259,
  SpeechRecognitionAlternative = 14277,
  SpeechRecognitionError = 14306,
  SpeechRecognitionEvent = 14329,
  SpeechRecognitionResult = 14352,
  SpeechRecognitionResultList = 14376,
  SpeechSynthesis = 14404,
  SpeechSynthesisErrorEvent = 14420,
  SpeechSynthesisEvent = 14446,
  SpeechSynthesisUtterance = 14467,
  SpeechSynthesisVoice = 14492,
  StaticRange = 14513,
  StereoPannerNode = 14525,
  Storage = 14542,
  StorageEvent = 14550,
  StorageManager = 14563,
  StreamFilter = 14578,
  StreamFilterDataEvent = 14591,
  StructuredCloneHolder = 14613,
  StructuredCloneTester = 14635,
  StyleSheet = 14657,
  StyleSheetApplicableStateChangeEvent = 14668,
  StyleSheetList = 14705,
  StyleSheetRemovedEvent = 14720,
  SubmitEvent = 14743,
  SubtleCrypto = 14755,
  SyncMessageSender = 14768,
  SyncReadFile = 14786,
  TCPServerSocket = 14799,
  TCPServerSocketEvent = 14815,
  TCPSocket = 14836,
  TCPSocketErrorEvent = 14846,
  TCPSocketEvent = 14866,
  TaskController = 14881,
  TaskPriorityChangeEvent = 14896,
  TaskSignal = 14920,
  TelemetryStopwatch = 14931,
  TestUtils = 14950,
  TestingDeprecatedInterface = 14960,
  Text = 14987,
  TextClause = 14992,
  TextDecoder = 15003,
  TextDecoderStream = 15015,
  TextEncoder = 15033,
  TextEncoderStream = 15045,
  TextEvent = 15063,
  TextMetrics = 15073,
  TextTrack = 15085,
  TextTrackCue = 15095,
  TextTrackCueList = 15108,
  TextTrackList = 15125,
  TimeEvent = 15139,
  TimeRanges = 15149,
  ToggleEvent = 15160,
  Touch = 15172,
  TouchEvent = 15178,
  TouchList = 15189,
  TrackEvent = 15199,
  TransformStream = 15210,
  TransformStreamDefaultController = 15226,
  TransitionEvent = 15259,
  TreeColumn = 15275,
  TreeColumns = 15286,
  TreeContentView = 15298,
  TreeWalker = 15314,
  TrustedHTML = 15325,
  TrustedScript = 15337,
  TrustedScriptURL = 15351,
  TrustedTypePolicy = 15368,
  TrustedTypePolicyFactory = 15386,
  UDPMessageEvent = 15411,
  UDPSocket = 15427,
  UIEvent = 15437,
  URL = 15445,
  URLSearchParams = 15449,
  URLSearchParams_Iterator = 15465,
  UniFFIPointer = 15490,
  UniFFIScaffolding = 15504,
  UserActivation = 15522,
  UserInteraction = 15537,
  UserProximityEvent = 15553,
  VRDisplay = 15572,
  VRDisplayCapabilities = 15582,
  VRDisplayEvent = 15604,
  VREyeParameters = 15619,
  VRFieldOfView = 15635,
  VRFrameData = 15649,
  VRMockController = 15661,
  VRMockDisplay = 15678,
  VRPose = 15692,
  VRServiceTest = 15699,
  VRStageParameters = 15713,
  VTTCue = 15731,
  VTTRegion = 15738,
  ValidityState = 15748,
  VideoColorSpace = 15762,
  VideoDecoder = 15778,
  VideoEncoder = 15791,
  VideoFrame = 15804,
  VideoPlaybackQuality = 15815,
  VideoTrack = 15836,
  VideoTrackList = 15847,
  VisualViewport = 15862,
  WEBGL_color_buffer_float = 15877,
  WEBGL_compressed_texture_astc = 15902,
  WEBGL_compressed_texture_etc = 15932,
  WEBGL_compressed_texture_etc1 = 15961,
  WEBGL_compressed_texture_pvrtc = 15991,
  WEBGL_compressed_texture_s3tc = 16022,
  WEBGL_compressed_texture_s3tc_srgb = 16052,
  WEBGL_debug_renderer_info = 16087,
  WEBGL_debug_shaders = 16113,
  WEBGL_depth_texture = 16133,
  WEBGL_draw_buffers = 16153,
  WEBGL_explicit_present = 16172,
  WEBGL_lose_context = 16195,
  WEBGL_provoking_vertex = 16214,
  WakeLock = 16237,
  WakeLockSentinel = 16246,
  WaveShaperNode = 16263,
  WebExtensionContentScript = 16278,
  WebExtensionPolicy = 16304,
  WebGL2RenderingContext = 16323,
  WebGLActiveInfo = 16346,
  WebGLBuffer = 16362,
  WebGLContextEvent = 16374,
  WebGLFramebuffer = 16392,
  WebGLProgram = 16409,
  WebGLQuery = 16422,
  WebGLRenderbuffer = 16433,
  WebGLRenderingContext = 16451,
  WebGLSampler = 16473,
  WebGLShader = 16486,
  WebGLShaderPrecisionFormat = 16498,
  WebGLSync = 16525,
  WebGLTexture = 16535,
  WebGLTransformFeedback = 16548,
  WebGLUniformLocation = 16571,
  WebGLVertexArrayObject = 16592,
  WebKitCSSMatrix = 16615,
  WebSocket = 16631,
  WebTransport = 16641,
  WebTransportBidirectionalStream = 16654,
  WebTransportDatagramDuplexStream = 16686,
  WebTransportError = 16719,
  WebTransportReceiveStream = 16737,
  WebTransportSendStream = 16763,
  WebrtcGlobalInformation = 16786,
  WheelEvent = 16810,
  Window = 16821,
  WindowClient = 16828,
  WindowContext = 16841,
  WindowGlobalChild = 16855,
  WindowGlobalParent = 16873,
  WindowRoot = 16892,
  Worker = 16903,
  WorkerDebuggerGlobalScope = 16910,
  WorkerGlobalScope = 16936,
  WorkerLocation = 16954,
  WorkerNavigator = 16969,
  WorkerTestUtils = 16985,
  Worklet = 17001,
  WorkletGlobalScope = 17009,
  WritableStream = 17028,
  WritableStreamDefaultController = 17043,
  WritableStreamDefaultWriter = 17075,
  XMLDocument = 17103,
  XMLHttpRequest = 17115,
  XMLHttpRequestEventTarget = 17130,
  XMLHttpRequestUpload = 17156,
  XMLSerializer = 17177,
  XPathEvaluator = 17191,
  XPathExpression = 17206,
  XPathResult = 17222,
  XRBoundedReferenceSpace = 17234,
  XRFrame = 17258,
  XRInputSource = 17266,
  XRInputSourceArray = 17280,
  XRInputSourceEvent = 17299,
  XRInputSourcesChangeEvent = 17318,
  XRPose = 17344,
  XRReferenceSpace = 17351,
  XRReferenceSpaceEvent = 17368,
  XRRenderState = 17390,
  XRRigidTransform = 17404,
  XRSession = 17421,
  XRSessionEvent = 17431,
  XRSpace = 17446,
  XRSystem = 17454,
  XRView = 17463,
  XRViewerPose = 17470,
  XRViewport = 17483,
  XRWebGLLayer = 17494,
  XSLTProcessor = 17507,
  XULCommandEvent = 17521,
  XULElement = 17537,
  XULFrameElement = 17548,
  XULMenuElement = 17564,
  XULPopupElement = 17579,
  XULResizerElement = 17595,
  XULTextElement = 17613,
  XULTreeElement = 17628,
  console = 17643,
  webkitSpeechGrammar = 17651,
  webkitSpeechGrammarList = 17671,
  webkitSpeechRecognition = 17695,
  webkitURL = 17719,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
