#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMediaRule" "\0"
  /*  1159 */ "CSSMozDocumentRule" "\0"
  /*  1178 */ "CSSNamespaceRule" "\0"
  /*  1195 */ "CSSPageRule" "\0"
  /*  1207 */ "CSSPropertyRule" "\0"
  /*  1223 */ "CSSPseudoElement" "\0"
  /*  1240 */ "CSSRule" "\0"
  /*  1248 */ "CSSRuleList" "\0"
  /*  1260 */ "CSSScopeRule" "\0"
  /*  1273 */ "CSSStartingStyleRule" "\0"
  /*  1294 */ "CSSStyleDeclaration" "\0"
  /*  1314 */ "CSSStyleRule" "\0"
  /*  1327 */ "CSSStyleSheet" "\0"
  /*  1341 */ "CSSSupportsRule" "\0"
  /*  1357 */ "CSSTransition" "\0"
  /*  1371 */ "Cache" "\0"
  /*  1377 */ "CacheStorage" "\0"
  /*  1390 */ "CallbackDebuggerNotification" "\0"
  /*  1419 */ "CanonicalBrowsingContext" "\0"
  /*  1444 */ "CanvasCaptureMediaStream" "\0"
  /*  1469 */ "CanvasGradient" "\0"
  /*  1484 */ "CanvasPattern" "\0"
  /*  1498 */ "CanvasRenderingContext2D" "\0"
  /*  1523 */ "CaretPosition" "\0"
  /*  1537 */ "CaretStateChangedEvent" "\0"
  /*  1560 */ "ChannelMergerNode" "\0"
  /*  1578 */ "ChannelSplitterNode" "\0"
  /*  1598 */ "ChannelWrapper" "\0"
  /*  1613 */ "CharacterData" "\0"
  /*  1627 */ "CheckerboardReportService" "\0"
  /*  1653 */ "ChildProcessMessageManager" "\0"
  /*  1680 */ "ChildSHistory" "\0"
  /*  1694 */ "ChromeMessageBroadcaster" "\0"
  /*  1719 */ "ChromeMessageSender" "\0"
  /*  1739 */ "ChromeNodeList" "\0"
  /*  1754 */ "ChromeUtils" "\0"
  /*  1766 */ "ChromeWorker" "\0"
  /*  1779 */ "Client" "\0"
  /*  1786 */ "Clients" "\0"
  /*  1794 */ "Clipboard" "\0"
  /*  1804 */ "ClipboardEvent" "\0"
  /*  1819 */ "ClipboardItem" "\0"
  /*  1833 */ "ClonedErrorHolder" "\0"
  /*  1851 */ "CloseEvent" "\0"
  /*  1862 */ "CommandEvent" "\0"
  /*  1875 */ "Comment" "\0"
  /*  1883 */ "CompositionEvent" "\0"
  /*  1900 */ "CompressionStream" "\0"
  /*  1918 */ "ConsoleInstance" "\0"
  /*  1934 */ "ConstantSourceNode" "\0"
  /*  1953 */ "ContentFrameMessageManager" "\0"
  /*  1980 */ "ContentProcessMessageManager" "\0"
  /*  2009 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2047 */ "ConvolverNode" "\0"
  /*  2061 */ "CountQueuingStrategy" "\0"
  /*  2082 */ "CreateOfferRequest" "\0"
  /*  2101 */ "Credential" "\0"
  /*  2112 */ "CredentialsContainer" "\0"
  /*  2133 */ "Crypto" "\0"
  /*  2140 */ "CryptoKey" "\0"
  /*  2150 */ "CustomElementRegistry" "\0"
  /*  2172 */ "CustomEvent" "\0"
  /*  2184 */ "CustomStateSet" "\0"
  /*  2199 */ "DOMException" "\0"
  /*  2212 */ "DOMImplementation" "\0"
  /*  2230 */ "DOMLocalization" "\0"
  /*  2246 */ "DOMMatrix" "\0"
  /*  2256 */ "DOMMatrixReadOnly" "\0"
  /*  2274 */ "DOMParser" "\0"
  /*  2284 */ "DOMPoint" "\0"
  /*  2293 */ "DOMPointReadOnly" "\0"
  /*  2310 */ "DOMQuad" "\0"
  /*  2318 */ "DOMRect" "\0"
  /*  2326 */ "DOMRectList" "\0"
  /*  2338 */ "DOMRectReadOnly" "\0"
  /*  2354 */ "DOMStringList" "\0"
  /*  2368 */ "DOMStringMap" "\0"
  /*  2381 */ "DOMTokenList" "\0"
  /*  2394 */ "DataTransfer" "\0"
  /*  2407 */ "DataTransferItem" "\0"
  /*  2424 */ "DataTransferItemList" "\0"
  /*  2445 */ "DebuggerNotification" "\0"
  /*  2466 */ "DebuggerNotificationObserver" "\0"
  /*  2495 */ "DecompressionStream" "\0"
  /*  2515 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2542 */ "DelayNode" "\0"
  /*  2552 */ "DeprecationReportBody" "\0"
  /*  2574 */ "DeviceAcceleration" "\0"
  /*  2593 */ "DeviceLightEvent" "\0"
  /*  2610 */ "DeviceMotionEvent" "\0"
  /*  2628 */ "DeviceOrientationEvent" "\0"
  /*  2651 */ "DeviceRotationRate" "\0"
  /*  2670 */ "Directory" "\0"
  /*  2680 */ "Document" "\0"
  /*  2689 */ "DocumentFragment" "\0"
  /*  2706 */ "DocumentL10n" "\0"
  /*  2719 */ "DocumentTimeline" "\0"
  /*  2736 */ "DocumentType" "\0"
  /*  2749 */ "DominatorTree" "\0"
  /*  2763 */ "DragEvent" "\0"
  /*  2773 */ "DynamicsCompressorNode" "\0"
  /*  2796 */ "EXT_blend_minmax" "\0"
  /*  2813 */ "EXT_color_buffer_float" "\0"
  /*  2836 */ "EXT_color_buffer_half_float" "\0"
  /*  2864 */ "EXT_disjoint_timer_query" "\0"
  /*  2889 */ "EXT_float_blend" "\0"
  /*  2905 */ "EXT_frag_depth" "\0"
  /*  2920 */ "EXT_sRGB" "\0"
  /*  2929 */ "EXT_shader_texture_lod" "\0"
  /*  2952 */ "EXT_texture_compression_bptc" "\0"
  /*  2981 */ "EXT_texture_compression_rgtc" "\0"
  /*  3010 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3041 */ "EXT_texture_norm16" "\0"
  /*  3060 */ "Element" "\0"
  /*  3068 */ "ElementInternals" "\0"
  /*  3085 */ "EncodedAudioChunk" "\0"
  /*  3103 */ "EncodedVideoChunk" "\0"
  /*  3121 */ "ErrorEvent" "\0"
  /*  3132 */ "Event" "\0"
  /*  3138 */ "EventCallbackDebuggerNotification" "\0"
  /*  3172 */ "EventCounts" "\0"
  /*  3184 */ "EventSource" "\0"
  /*  3196 */ "EventTarget" "\0"
  /*  3208 */ "Exception" "\0"
  /*  3218 */ "ExtendableEvent" "\0"
  /*  3234 */ "ExtendableMessageEvent" "\0"
  /*  3257 */ "ExtensionAlarms" "\0"
  /*  3273 */ "ExtensionBrowser" "\0"
  /*  3290 */ "ExtensionBrowserSettings" "\0"
  /*  3315 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3355 */ "ExtensionDns" "\0"
  /*  3368 */ "ExtensionEventManager" "\0"
  /*  3390 */ "ExtensionMockAPI" "\0"
  /*  3407 */ "ExtensionPort" "\0"
  /*  3421 */ "ExtensionProxy" "\0"
  /*  3436 */ "ExtensionRuntime" "\0"
  /*  3453 */ "ExtensionScripting" "\0"
  /*  3472 */ "ExtensionSetting" "\0"
  /*  3489 */ "ExtensionTest" "\0"
  /*  3503 */ "External" "\0"
  /*  3512 */ "FeaturePolicy" "\0"
  /*  3526 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3559 */ "FetchEvent" "\0"
  /*  3570 */ "FetchObserver" "\0"
  /*  3584 */ "File" "\0"
  /*  3589 */ "FileList" "\0"
  /*  3598 */ "FileReader" "\0"
  /*  3609 */ "FileReaderSync" "\0"
  /*  3624 */ "FileSystem" "\0"
  /*  3635 */ "FileSystemDirectoryEntry" "\0"
  /*  3660 */ "FileSystemDirectoryHandle" "\0"
  /*  3686 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3726 */ "FileSystemDirectoryIterator" "\0"
  /*  3754 */ "FileSystemDirectoryReader" "\0"
  /*  3780 */ "FileSystemEntry" "\0"
  /*  3796 */ "FileSystemFileEntry" "\0"
  /*  3816 */ "FileSystemFileHandle" "\0"
  /*  3837 */ "FileSystemHandle" "\0"
  /*  3854 */ "FileSystemSyncAccessHandle" "\0"
  /*  3881 */ "FileSystemWritableFileStream" "\0"
  /*  3910 */ "Flex" "\0"
  /*  3915 */ "FlexItemValues" "\0"
  /*  3930 */ "FlexLineValues" "\0"
  /*  3945 */ "FluentBundle" "\0"
  /*  3958 */ "FluentBundleAsyncIterator" "\0"
  /*  3984 */ "FluentBundleIterator" "\0"
  /*  4005 */ "FluentPattern" "\0"
  /*  4019 */ "FluentResource" "\0"
  /*  4034 */ "FocusEvent" "\0"
  /*  4045 */ "FontFace" "\0"
  /*  4054 */ "FontFaceSet" "\0"
  /*  4066 */ "FontFaceSetIterator" "\0"
  /*  4086 */ "FontFaceSetLoadEvent" "\0"
  /*  4107 */ "FormData" "\0"
  /*  4116 */ "FormData Iterator" "\0"
  /*  4134 */ "FormDataEvent" "\0"
  /*  4148 */ "FragmentDirective" "\0"
  /*  4166 */ "FrameCrashedEvent" "\0"
  /*  4184 */ "FrameLoader" "\0"
  /*  4196 */ "GPU" "\0"
  /*  4200 */ "GPUAdapter" "\0"
  /*  4211 */ "GPUAdapterInfo" "\0"
  /*  4226 */ "GPUBindGroup" "\0"
  /*  4239 */ "GPUBindGroupLayout" "\0"
  /*  4258 */ "GPUBuffer" "\0"
  /*  4268 */ "GPUBufferUsage" "\0"
  /*  4283 */ "GPUCanvasContext" "\0"
  /*  4300 */ "GPUColorWrite" "\0"
  /*  4314 */ "GPUCommandBuffer" "\0"
  /*  4331 */ "GPUCommandEncoder" "\0"
  /*  4349 */ "GPUCompilationInfo" "\0"
  /*  4368 */ "GPUCompilationMessage" "\0"
  /*  4390 */ "GPUComputePassEncoder" "\0"
  /*  4412 */ "GPUComputePipeline" "\0"
  /*  4431 */ "GPUDevice" "\0"
  /*  4441 */ "GPUDeviceLostInfo" "\0"
  /*  4459 */ "GPUError" "\0"
  /*  4468 */ "GPUInternalError" "\0"
  /*  4485 */ "GPUMapMode" "\0"
  /*  4496 */ "GPUOutOfMemoryError" "\0"
  /*  4516 */ "GPUPipelineLayout" "\0"
  /*  4534 */ "GPUQuerySet" "\0"
  /*  4546 */ "GPUQueue" "\0"
  /*  4555 */ "GPURenderBundle" "\0"
  /*  4571 */ "GPURenderBundleEncoder" "\0"
  /*  4594 */ "GPURenderPassEncoder" "\0"
  /*  4615 */ "GPURenderPipeline" "\0"
  /*  4633 */ "GPUSampler" "\0"
  /*  4644 */ "GPUShaderModule" "\0"
  /*  4660 */ "GPUShaderStage" "\0"
  /*  4675 */ "GPUSupportedFeatures" "\0"
  /*  4696 */ "GPUSupportedLimits" "\0"
  /*  4715 */ "GPUTexture" "\0"
  /*  4726 */ "GPUTextureUsage" "\0"
  /*  4742 */ "GPUTextureView" "\0"
  /*  4757 */ "GPUUncapturedErrorEvent" "\0"
  /*  4781 */ "GPUValidationError" "\0"
  /*  4800 */ "GainNode" "\0"
  /*  4809 */ "Gamepad" "\0"
  /*  4817 */ "GamepadAxisMoveEvent" "\0"
  /*  4838 */ "GamepadButton" "\0"
  /*  4852 */ "GamepadButtonEvent" "\0"
  /*  4871 */ "GamepadEvent" "\0"
  /*  4884 */ "GamepadHapticActuator" "\0"
  /*  4906 */ "GamepadLightIndicator" "\0"
  /*  4928 */ "GamepadPose" "\0"
  /*  4940 */ "GamepadServiceTest" "\0"
  /*  4959 */ "GamepadTouch" "\0"
  /*  4972 */ "Geolocation" "\0"
  /*  4984 */ "GeolocationCoordinates" "\0"
  /*  5007 */ "GeolocationPosition" "\0"
  /*  5027 */ "GeolocationPositionError" "\0"
  /*  5052 */ "GetUserMediaRequest" "\0"
  /*  5072 */ "GleanBoolean" "\0"
  /*  5085 */ "GleanCategory" "\0"
  /*  5099 */ "GleanCounter" "\0"
  /*  5112 */ "GleanCustomDistribution" "\0"
  /*  5136 */ "GleanDatetime" "\0"
  /*  5150 */ "GleanDenominator" "\0"
  /*  5167 */ "GleanEvent" "\0"
  /*  5178 */ "GleanImpl" "\0"
  /*  5188 */ "GleanLabeled" "\0"
  /*  5201 */ "GleanMemoryDistribution" "\0"
  /*  5225 */ "GleanMetric" "\0"
  /*  5237 */ "GleanNumerator" "\0"
  /*  5252 */ "GleanObject" "\0"
  /*  5264 */ "GleanPingsImpl" "\0"
  /*  5279 */ "GleanQuantity" "\0"
  /*  5293 */ "GleanRate" "\0"
  /*  5303 */ "GleanString" "\0"
  /*  5315 */ "GleanStringList" "\0"
  /*  5331 */ "GleanText" "\0"
  /*  5341 */ "GleanTimespan" "\0"
  /*  5355 */ "GleanTimingDistribution" "\0"
  /*  5379 */ "GleanUrl" "\0"
  /*  5388 */ "GleanUuid" "\0"
  /*  5398 */ "Grid" "\0"
  /*  5403 */ "GridArea" "\0"
  /*  5412 */ "GridDimension" "\0"
  /*  5426 */ "GridLine" "\0"
  /*  5435 */ "GridLines" "\0"
  /*  5445 */ "GridTrack" "\0"
  /*  5455 */ "GridTracks" "\0"
  /*  5466 */ "HTMLAllCollection" "\0"
  /*  5484 */ "HTMLAnchorElement" "\0"
  /*  5502 */ "HTMLAreaElement" "\0"
  /*  5518 */ "HTMLAudioElement" "\0"
  /*  5535 */ "HTMLBRElement" "\0"
  /*  5549 */ "HTMLBaseElement" "\0"
  /*  5565 */ "HTMLBodyElement" "\0"
  /*  5581 */ "HTMLButtonElement" "\0"
  /*  5599 */ "HTMLCanvasElement" "\0"
  /*  5617 */ "HTMLCollection" "\0"
  /*  5632 */ "HTMLDListElement" "\0"
  /*  5649 */ "HTMLDataElement" "\0"
  /*  5665 */ "HTMLDataListElement" "\0"
  /*  5685 */ "HTMLDetailsElement" "\0"
  /*  5704 */ "HTMLDialogElement" "\0"
  /*  5722 */ "HTMLDirectoryElement" "\0"
  /*  5743 */ "HTMLDivElement" "\0"
  /*  5758 */ "HTMLDocument" "\0"
  /*  5771 */ "HTMLElement" "\0"
  /*  5783 */ "HTMLEmbedElement" "\0"
  /*  5800 */ "HTMLFieldSetElement" "\0"
  /*  5820 */ "HTMLFontElement" "\0"
  /*  5836 */ "HTMLFormControlsCollection" "\0"
  /*  5863 */ "HTMLFormElement" "\0"
  /*  5879 */ "HTMLFrameElement" "\0"
  /*  5896 */ "HTMLFrameSetElement" "\0"
  /*  5916 */ "HTMLHRElement" "\0"
  /*  5930 */ "HTMLHeadElement" "\0"
  /*  5946 */ "HTMLHeadingElement" "\0"
  /*  5965 */ "HTMLHtmlElement" "\0"
  /*  5981 */ "HTMLIFrameElement" "\0"
  /*  5999 */ "HTMLImageElement" "\0"
  /*  6016 */ "HTMLInputElement" "\0"
  /*  6033 */ "HTMLLIElement" "\0"
  /*  6047 */ "HTMLLabelElement" "\0"
  /*  6064 */ "HTMLLegendElement" "\0"
  /*  6082 */ "HTMLLinkElement" "\0"
  /*  6098 */ "HTMLMapElement" "\0"
  /*  6113 */ "HTMLMarqueeElement" "\0"
  /*  6132 */ "HTMLMediaElement" "\0"
  /*  6149 */ "HTMLMenuElement" "\0"
  /*  6165 */ "HTMLMetaElement" "\0"
  /*  6181 */ "HTMLMeterElement" "\0"
  /*  6198 */ "HTMLModElement" "\0"
  /*  6213 */ "HTMLOListElement" "\0"
  /*  6230 */ "HTMLObjectElement" "\0"
  /*  6248 */ "HTMLOptGroupElement" "\0"
  /*  6268 */ "HTMLOptionElement" "\0"
  /*  6286 */ "HTMLOptionsCollection" "\0"
  /*  6308 */ "HTMLOutputElement" "\0"
  /*  6326 */ "HTMLParagraphElement" "\0"
  /*  6347 */ "HTMLParamElement" "\0"
  /*  6364 */ "HTMLPictureElement" "\0"
  /*  6383 */ "HTMLPreElement" "\0"
  /*  6398 */ "HTMLProgressElement" "\0"
  /*  6418 */ "HTMLQuoteElement" "\0"
  /*  6435 */ "HTMLScriptElement" "\0"
  /*  6453 */ "HTMLSelectElement" "\0"
  /*  6471 */ "HTMLSlotElement" "\0"
  /*  6487 */ "HTMLSourceElement" "\0"
  /*  6505 */ "HTMLSpanElement" "\0"
  /*  6521 */ "HTMLStyleElement" "\0"
  /*  6538 */ "HTMLTableCaptionElement" "\0"
  /*  6562 */ "HTMLTableCellElement" "\0"
  /*  6583 */ "HTMLTableColElement" "\0"
  /*  6603 */ "HTMLTableElement" "\0"
  /*  6620 */ "HTMLTableRowElement" "\0"
  /*  6640 */ "HTMLTableSectionElement" "\0"
  /*  6664 */ "HTMLTemplateElement" "\0"
  /*  6684 */ "HTMLTextAreaElement" "\0"
  /*  6704 */ "HTMLTimeElement" "\0"
  /*  6720 */ "HTMLTitleElement" "\0"
  /*  6737 */ "HTMLTrackElement" "\0"
  /*  6754 */ "HTMLUListElement" "\0"
  /*  6771 */ "HTMLUnknownElement" "\0"
  /*  6790 */ "HTMLVideoElement" "\0"
  /*  6807 */ "HashChangeEvent" "\0"
  /*  6823 */ "Headers" "\0"
  /*  6831 */ "Headers Iterator" "\0"
  /*  6848 */ "HeapSnapshot" "\0"
  /*  6861 */ "Highlight" "\0"
  /*  6871 */ "HighlightRegistry" "\0"
  /*  6889 */ "History" "\0"
  /*  6897 */ "IDBCursor" "\0"
  /*  6907 */ "IDBCursorWithValue" "\0"
  /*  6926 */ "IDBDatabase" "\0"
  /*  6938 */ "IDBFactory" "\0"
  /*  6949 */ "IDBIndex" "\0"
  /*  6958 */ "IDBKeyRange" "\0"
  /*  6970 */ "IDBObjectStore" "\0"
  /*  6985 */ "IDBOpenDBRequest" "\0"
  /*  7002 */ "IDBRequest" "\0"
  /*  7013 */ "IDBTransaction" "\0"
  /*  7028 */ "IDBVersionChangeEvent" "\0"
  /*  7050 */ "IIRFilterNode" "\0"
  /*  7064 */ "IOUtils" "\0"
  /*  7072 */ "IdentityCredential" "\0"
  /*  7091 */ "IdleDeadline" "\0"
  /*  7104 */ "Image" "\0"
  /*  7110 */ "ImageBitmap" "\0"
  /*  7122 */ "ImageBitmapRenderingContext" "\0"
  /*  7150 */ "ImageCapture" "\0"
  /*  7163 */ "ImageCaptureError" "\0"
  /*  7181 */ "ImageCaptureErrorEvent" "\0"
  /*  7204 */ "ImageData" "\0"
  /*  7214 */ "ImageDocument" "\0"
  /*  7228 */ "InputEvent" "\0"
  /*  7239 */ "InspectorFontFace" "\0"
  /*  7257 */ "InspectorUtils" "\0"
  /*  7272 */ "InstallTriggerImpl" "\0"
  /*  7291 */ "IntersectionObserver" "\0"
  /*  7312 */ "IntersectionObserverEntry" "\0"
  /*  7338 */ "IntlUtils" "\0"
  /*  7348 */ "InvokeEvent" "\0"
  /*  7360 */ "JSProcessActorChild" "\0"
  /*  7380 */ "JSProcessActorParent" "\0"
  /*  7401 */ "JSWindowActorChild" "\0"
  /*  7420 */ "JSWindowActorParent" "\0"
  /*  7440 */ "KeyEvent" "\0"
  /*  7449 */ "KeyboardEvent" "\0"
  /*  7463 */ "KeyframeEffect" "\0"
  /*  7478 */ "L10nFileSource" "\0"
  /*  7493 */ "L10nOverlays" "\0"
  /*  7506 */ "L10nRegistry" "\0"
  /*  7519 */ "LargestContentfulPaint" "\0"
  /*  7542 */ "LegacyMozTCPSocket" "\0"
  /*  7561 */ "Localization" "\0"
  /*  7574 */ "Location" "\0"
  /*  7583 */ "Lock" "\0"
  /*  7588 */ "LockManager" "\0"
  /*  7600 */ "MIDIAccess" "\0"
  /*  7611 */ "MIDIConnectionEvent" "\0"
  /*  7631 */ "MIDIInput" "\0"
  /*  7641 */ "MIDIInputMap" "\0"
  /*  7654 */ "MIDIMessageEvent" "\0"
  /*  7671 */ "MIDIOutput" "\0"
  /*  7682 */ "MIDIOutputMap" "\0"
  /*  7696 */ "MIDIPort" "\0"
  /*  7705 */ "MOZ_debug" "\0"
  /*  7715 */ "MatchGlob" "\0"
  /*  7725 */ "MatchPattern" "\0"
  /*  7738 */ "MatchPatternSet" "\0"
  /*  7754 */ "MathMLElement" "\0"
  /*  7768 */ "MediaCapabilities" "\0"
  /*  7786 */ "MediaCapabilitiesInfo" "\0"
  /*  7808 */ "MediaControlService" "\0"
  /*  7828 */ "MediaController" "\0"
  /*  7844 */ "MediaDeviceInfo" "\0"
  /*  7860 */ "MediaDevices" "\0"
  /*  7873 */ "MediaElementAudioSourceNode" "\0"
  /*  7901 */ "MediaEncryptedEvent" "\0"
  /*  7921 */ "MediaError" "\0"
  /*  7932 */ "MediaKeyError" "\0"
  /*  7946 */ "MediaKeyMessageEvent" "\0"
  /*  7967 */ "MediaKeySession" "\0"
  /*  7983 */ "MediaKeyStatusMap" "\0"
  /*  8001 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8028 */ "MediaKeySystemAccess" "\0"
  /*  8049 */ "MediaKeys" "\0"
  /*  8059 */ "MediaList" "\0"
  /*  8069 */ "MediaMetadata" "\0"
  /*  8083 */ "MediaQueryList" "\0"
  /*  8098 */ "MediaQueryListEvent" "\0"
  /*  8118 */ "MediaRecorder" "\0"
  /*  8132 */ "MediaRecorderErrorEvent" "\0"
  /*  8156 */ "MediaSession" "\0"
  /*  8169 */ "MediaSource" "\0"
  /*  8181 */ "MediaStream" "\0"
  /*  8193 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8225 */ "MediaStreamAudioSourceNode" "\0"
  /*  8252 */ "MediaStreamError" "\0"
  /*  8269 */ "MediaStreamEvent" "\0"
  /*  8286 */ "MediaStreamTrack" "\0"
  /*  8303 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8335 */ "MediaStreamTrackEvent" "\0"
  /*  8357 */ "MerchantValidationEvent" "\0"
  /*  8381 */ "MessageBroadcaster" "\0"
  /*  8400 */ "MessageChannel" "\0"
  /*  8415 */ "MessageEvent" "\0"
  /*  8428 */ "MessageListenerManager" "\0"
  /*  8451 */ "MessagePort" "\0"
  /*  8463 */ "MessageSender" "\0"
  /*  8477 */ "MimeType" "\0"
  /*  8486 */ "MimeTypeArray" "\0"
  /*  8500 */ "MouseEvent" "\0"
  /*  8511 */ "MouseScrollEvent" "\0"
  /*  8528 */ "MozCanvasPrintState" "\0"
  /*  8548 */ "MozDocumentMatcher" "\0"
  /*  8567 */ "MozDocumentObserver" "\0"
  /*  8587 */ "MozQueryInterface" "\0"
  /*  8605 */ "MozSharedMap" "\0"
  /*  8618 */ "MozSharedMap Iterator" "\0"
  /*  8640 */ "MozSharedMapChangeEvent" "\0"
  /*  8664 */ "MozStorageAsyncStatementParams" "\0"
  /*  8695 */ "MozStorageStatementParams" "\0"
  /*  8721 */ "MozStorageStatementRow" "\0"
  /*  8744 */ "MozWritableSharedMap" "\0"
  /*  8765 */ "MutationEvent" "\0"
  /*  8779 */ "MutationObserver" "\0"
  /*  8796 */ "MutationRecord" "\0"
  /*  8811 */ "NamedNodeMap" "\0"
  /*  8824 */ "NavigationPreloadManager" "\0"
  /*  8849 */ "Navigator" "\0"
  /*  8859 */ "NetworkInformation" "\0"
  /*  8878 */ "Node" "\0"
  /*  8883 */ "NodeFilter" "\0"
  /*  8894 */ "NodeIterator" "\0"
  /*  8907 */ "NodeList" "\0"
  /*  8916 */ "Notification" "\0"
  /*  8929 */ "NotificationEvent" "\0"
  /*  8947 */ "NotifyPaintEvent" "\0"
  /*  8964 */ "OES_draw_buffers_indexed" "\0"
  /*  8989 */ "OES_element_index_uint" "\0"
  /*  9012 */ "OES_fbo_render_mipmap" "\0"
  /*  9034 */ "OES_standard_derivatives" "\0"
  /*  9059 */ "OES_texture_float" "\0"
  /*  9077 */ "OES_texture_float_linear" "\0"
  /*  9102 */ "OES_texture_half_float" "\0"
  /*  9125 */ "OES_texture_half_float_linear" "\0"
  /*  9155 */ "OES_vertex_array_object" "\0"
  /*  9179 */ "OVR_multiview2" "\0"
  /*  9194 */ "OfflineAudioCompletionEvent" "\0"
  /*  9222 */ "OfflineAudioContext" "\0"
  /*  9242 */ "OffscreenCanvas" "\0"
  /*  9258 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9292 */ "Option" "\0"
  /*  9299 */ "OscillatorNode" "\0"
  /*  9314 */ "PageTransitionEvent" "\0"
  /*  9334 */ "PaintRequest" "\0"
  /*  9347 */ "PaintRequestList" "\0"
  /*  9364 */ "PaintWorkletGlobalScope" "\0"
  /*  9388 */ "PannerNode" "\0"
  /*  9399 */ "ParentProcessMessageManager" "\0"
  /*  9427 */ "Path2D" "\0"
  /*  9434 */ "PathUtils" "\0"
  /*  9444 */ "PaymentAddress" "\0"
  /*  9459 */ "PaymentMethodChangeEvent" "\0"
  /*  9484 */ "PaymentRequest" "\0"
  /*  9499 */ "PaymentRequestUpdateEvent" "\0"
  /*  9525 */ "PaymentResponse" "\0"
  /*  9541 */ "PeerConnectionImpl" "\0"
  /*  9560 */ "PeerConnectionObserver" "\0"
  /*  9583 */ "Performance" "\0"
  /*  9595 */ "PerformanceEntry" "\0"
  /*  9612 */ "PerformanceEntryEvent" "\0"
  /*  9634 */ "PerformanceEventTiming" "\0"
  /*  9657 */ "PerformanceMark" "\0"
  /*  9673 */ "PerformanceMeasure" "\0"
  /*  9692 */ "PerformanceNavigation" "\0"
  /*  9714 */ "PerformanceNavigationTiming" "\0"
  /*  9742 */ "PerformanceObserver" "\0"
  /*  9762 */ "PerformanceObserverEntryList" "\0"
  /*  9791 */ "PerformancePaintTiming" "\0"
  /*  9814 */ "PerformanceResourceTiming" "\0"
  /*  9840 */ "PerformanceServerTiming" "\0"
  /*  9864 */ "PerformanceTiming" "\0"
  /*  9882 */ "PeriodicWave" "\0"
  /*  9895 */ "PermissionStatus" "\0"
  /*  9912 */ "Permissions" "\0"
  /*  9924 */ "PlacesBookmark" "\0"
  /*  9939 */ "PlacesBookmarkAddition" "\0"
  /*  9962 */ "PlacesBookmarkChanged" "\0"
  /*  9984 */ "PlacesBookmarkGuid" "\0"
  /* 10003 */ "PlacesBookmarkKeyword" "\0"
  /* 10025 */ "PlacesBookmarkMoved" "\0"
  /* 10045 */ "PlacesBookmarkRemoved" "\0"
  /* 10067 */ "PlacesBookmarkTags" "\0"
  /* 10086 */ "PlacesBookmarkTime" "\0"
  /* 10105 */ "PlacesBookmarkTitle" "\0"
  /* 10125 */ "PlacesBookmarkUrl" "\0"
  /* 10143 */ "PlacesEvent" "\0"
  /* 10155 */ "PlacesEventCounts" "\0"
  /* 10173 */ "PlacesFavicon" "\0"
  /* 10187 */ "PlacesHistoryCleared" "\0"
  /* 10208 */ "PlacesObservers" "\0"
  /* 10224 */ "PlacesPurgeCaches" "\0"
  /* 10242 */ "PlacesRanking" "\0"
  /* 10256 */ "PlacesVisit" "\0"
  /* 10268 */ "PlacesVisitRemoved" "\0"
  /* 10287 */ "PlacesVisitTitle" "\0"
  /* 10304 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10330 */ "Plugin" "\0"
  /* 10337 */ "PluginArray" "\0"
  /* 10349 */ "PluginCrashedEvent" "\0"
  /* 10368 */ "PointerEvent" "\0"
  /* 10381 */ "PopStateEvent" "\0"
  /* 10395 */ "PopupBlockedEvent" "\0"
  /* 10413 */ "PopupPositionedEvent" "\0"
  /* 10434 */ "PositionStateEvent" "\0"
  /* 10453 */ "PrecompiledScript" "\0"
  /* 10471 */ "ProcessMessageManager" "\0"
  /* 10493 */ "ProcessingInstruction" "\0"
  /* 10515 */ "ProgressEvent" "\0"
  /* 10529 */ "PromiseDebugging" "\0"
  /* 10546 */ "PromiseNativeHandler" "\0"
  /* 10567 */ "PromiseRejectionEvent" "\0"
  /* 10589 */ "PublicKeyCredential" "\0"
  /* 10609 */ "PushEvent" "\0"
  /* 10619 */ "PushManager" "\0"
  /* 10631 */ "PushManagerImpl" "\0"
  /* 10647 */ "PushMessageData" "\0"
  /* 10663 */ "PushSubscription" "\0"
  /* 10680 */ "PushSubscriptionOptions" "\0"
  /* 10704 */ "RTCCertificate" "\0"
  /* 10719 */ "RTCDTMFSender" "\0"
  /* 10733 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10756 */ "RTCDataChannel" "\0"
  /* 10771 */ "RTCDataChannelEvent" "\0"
  /* 10791 */ "RTCDtlsTransport" "\0"
  /* 10808 */ "RTCEncodedAudioFrame" "\0"
  /* 10829 */ "RTCEncodedVideoFrame" "\0"
  /* 10850 */ "RTCIceCandidate" "\0"
  /* 10866 */ "RTCIceTransport" "\0"
  /* 10882 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10911 */ "RTCPeerConnection" "\0"
  /* 10929 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10955 */ "RTCPeerConnectionStatic" "\0"
  /* 10979 */ "RTCRtpReceiver" "\0"
  /* 10994 */ "RTCRtpScriptTransform" "\0"
  /* 11016 */ "RTCRtpScriptTransformer" "\0"
  /* 11040 */ "RTCRtpSender" "\0"
  /* 11053 */ "RTCRtpTransceiver" "\0"
  /* 11071 */ "RTCSctpTransport" "\0"
  /* 11088 */ "RTCSessionDescription" "\0"
  /* 11110 */ "RTCStatsReport" "\0"
  /* 11125 */ "RTCTrackEvent" "\0"
  /* 11139 */ "RTCTransformEvent" "\0"
  /* 11157 */ "RadioNodeList" "\0"
  /* 11171 */ "Range" "\0"
  /* 11177 */ "ReadableByteStreamController" "\0"
  /* 11206 */ "ReadableStream" "\0"
  /* 11221 */ "ReadableStream AsyncIterator" "\0"
  /* 11250 */ "ReadableStreamBYOBReader" "\0"
  /* 11275 */ "ReadableStreamBYOBRequest" "\0"
  /* 11301 */ "ReadableStreamDefaultController" "\0"
  /* 11333 */ "ReadableStreamDefaultReader" "\0"
  /* 11361 */ "Report" "\0"
  /* 11368 */ "ReportBody" "\0"
  /* 11379 */ "ReportingObserver" "\0"
  /* 11397 */ "Request" "\0"
  /* 11405 */ "ResizeObserver" "\0"
  /* 11420 */ "ResizeObserverEntry" "\0"
  /* 11440 */ "ResizeObserverSize" "\0"
  /* 11459 */ "Response" "\0"
  /* 11468 */ "SVGAElement" "\0"
  /* 11480 */ "SVGAngle" "\0"
  /* 11489 */ "SVGAnimateElement" "\0"
  /* 11507 */ "SVGAnimateMotionElement" "\0"
  /* 11531 */ "SVGAnimateTransformElement" "\0"
  /* 11558 */ "SVGAnimatedAngle" "\0"
  /* 11575 */ "SVGAnimatedBoolean" "\0"
  /* 11594 */ "SVGAnimatedEnumeration" "\0"
  /* 11617 */ "SVGAnimatedInteger" "\0"
  /* 11636 */ "SVGAnimatedLength" "\0"
  /* 11654 */ "SVGAnimatedLengthList" "\0"
  /* 11676 */ "SVGAnimatedNumber" "\0"
  /* 11694 */ "SVGAnimatedNumberList" "\0"
  /* 11716 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11747 */ "SVGAnimatedRect" "\0"
  /* 11763 */ "SVGAnimatedString" "\0"
  /* 11781 */ "SVGAnimatedTransformList" "\0"
  /* 11806 */ "SVGAnimationElement" "\0"
  /* 11826 */ "SVGCircleElement" "\0"
  /* 11843 */ "SVGClipPathElement" "\0"
  /* 11862 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11898 */ "SVGDefsElement" "\0"
  /* 11913 */ "SVGDescElement" "\0"
  /* 11928 */ "SVGElement" "\0"
  /* 11939 */ "SVGEllipseElement" "\0"
  /* 11957 */ "SVGFEBlendElement" "\0"
  /* 11975 */ "SVGFEColorMatrixElement" "\0"
  /* 11999 */ "SVGFEComponentTransferElement" "\0"
  /* 12029 */ "SVGFECompositeElement" "\0"
  /* 12051 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12078 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12106 */ "SVGFEDisplacementMapElement" "\0"
  /* 12134 */ "SVGFEDistantLightElement" "\0"
  /* 12159 */ "SVGFEDropShadowElement" "\0"
  /* 12182 */ "SVGFEFloodElement" "\0"
  /* 12200 */ "SVGFEFuncAElement" "\0"
  /* 12218 */ "SVGFEFuncBElement" "\0"
  /* 12236 */ "SVGFEFuncGElement" "\0"
  /* 12254 */ "SVGFEFuncRElement" "\0"
  /* 12272 */ "SVGFEGaussianBlurElement" "\0"
  /* 12297 */ "SVGFEImageElement" "\0"
  /* 12315 */ "SVGFEMergeElement" "\0"
  /* 12333 */ "SVGFEMergeNodeElement" "\0"
  /* 12355 */ "SVGFEMorphologyElement" "\0"
  /* 12378 */ "SVGFEOffsetElement" "\0"
  /* 12397 */ "SVGFEPointLightElement" "\0"
  /* 12420 */ "SVGFESpecularLightingElement" "\0"
  /* 12449 */ "SVGFESpotLightElement" "\0"
  /* 12471 */ "SVGFETileElement" "\0"
  /* 12488 */ "SVGFETurbulenceElement" "\0"
  /* 12511 */ "SVGFilterElement" "\0"
  /* 12528 */ "SVGForeignObjectElement" "\0"
  /* 12552 */ "SVGGElement" "\0"
  /* 12564 */ "SVGGeometryElement" "\0"
  /* 12583 */ "SVGGradientElement" "\0"
  /* 12602 */ "SVGGraphicsElement" "\0"
  /* 12621 */ "SVGImageElement" "\0"
  /* 12637 */ "SVGLength" "\0"
  /* 12647 */ "SVGLengthList" "\0"
  /* 12661 */ "SVGLineElement" "\0"
  /* 12676 */ "SVGLinearGradientElement" "\0"
  /* 12701 */ "SVGMPathElement" "\0"
  /* 12717 */ "SVGMarkerElement" "\0"
  /* 12734 */ "SVGMaskElement" "\0"
  /* 12749 */ "SVGMatrix" "\0"
  /* 12759 */ "SVGMetadataElement" "\0"
  /* 12778 */ "SVGNumber" "\0"
  /* 12788 */ "SVGNumberList" "\0"
  /* 12802 */ "SVGPathElement" "\0"
  /* 12817 */ "SVGPathSeg" "\0"
  /* 12828 */ "SVGPathSegArcAbs" "\0"
  /* 12845 */ "SVGPathSegArcRel" "\0"
  /* 12862 */ "SVGPathSegClosePath" "\0"
  /* 12882 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12908 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12934 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12966 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12998 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 13028 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 13058 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 13094 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13130 */ "SVGPathSegLinetoAbs" "\0"
  /* 13150 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13180 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13210 */ "SVGPathSegLinetoRel" "\0"
  /* 13230 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13258 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13286 */ "SVGPathSegList" "\0"
  /* 13301 */ "SVGPathSegMovetoAbs" "\0"
  /* 13321 */ "SVGPathSegMovetoRel" "\0"
  /* 13341 */ "SVGPatternElement" "\0"
  /* 13359 */ "SVGPoint" "\0"
  /* 13368 */ "SVGPointList" "\0"
  /* 13381 */ "SVGPolygonElement" "\0"
  /* 13399 */ "SVGPolylineElement" "\0"
  /* 13418 */ "SVGPreserveAspectRatio" "\0"
  /* 13441 */ "SVGRadialGradientElement" "\0"
  /* 13466 */ "SVGRect" "\0"
  /* 13474 */ "SVGRectElement" "\0"
  /* 13489 */ "SVGSVGElement" "\0"
  /* 13503 */ "SVGScriptElement" "\0"
  /* 13520 */ "SVGSetElement" "\0"
  /* 13534 */ "SVGStopElement" "\0"
  /* 13549 */ "SVGStringList" "\0"
  /* 13563 */ "SVGStyleElement" "\0"
  /* 13579 */ "SVGSwitchElement" "\0"
  /* 13596 */ "SVGSymbolElement" "\0"
  /* 13613 */ "SVGTSpanElement" "\0"
  /* 13629 */ "SVGTextContentElement" "\0"
  /* 13651 */ "SVGTextElement" "\0"
  /* 13666 */ "SVGTextPathElement" "\0"
  /* 13685 */ "SVGTextPositioningElement" "\0"
  /* 13711 */ "SVGTitleElement" "\0"
  /* 13727 */ "SVGTransform" "\0"
  /* 13740 */ "SVGTransformList" "\0"
  /* 13757 */ "SVGUnitTypes" "\0"
  /* 13770 */ "SVGUseElement" "\0"
  /* 13784 */ "SVGViewElement" "\0"
  /* 13799 */ "Sanitizer" "\0"
  /* 13809 */ "Scheduler" "\0"
  /* 13819 */ "Screen" "\0"
  /* 13826 */ "ScreenLuminance" "\0"
  /* 13842 */ "ScreenOrientation" "\0"
  /* 13860 */ "ScriptProcessorNode" "\0"
  /* 13880 */ "ScrollAreaEvent" "\0"
  /* 13896 */ "ScrollViewChangeEvent" "\0"
  /* 13918 */ "SecurityPolicyViolationEvent" "\0"
  /* 13947 */ "Selection" "\0"
  /* 13957 */ "ServiceWorker" "\0"
  /* 13971 */ "ServiceWorkerContainer" "\0"
  /* 13994 */ "ServiceWorkerGlobalScope" "\0"
  /* 14019 */ "ServiceWorkerRegistration" "\0"
  /* 14045 */ "SessionStoreFormData" "\0"
  /* 14066 */ "SessionStoreScrollData" "\0"
  /* 14089 */ "SessionStoreUtils" "\0"
  /* 14107 */ "ShadowRealmGlobalScope" "\0"
  /* 14130 */ "ShadowRoot" "\0"
  /* 14141 */ "SharedWorker" "\0"
  /* 14154 */ "SharedWorkerGlobalScope" "\0"
  /* 14178 */ "SimpleGestureEvent" "\0"
  /* 14197 */ "SourceBuffer" "\0"
  /* 14210 */ "SourceBufferList" "\0"
  /* 14227 */ "SpeechGrammar" "\0"
  /* 14241 */ "SpeechGrammarList" "\0"
  /* 14259 */ "SpeechRecognition" "\0"
  /* 14277 */ "SpeechRecognitionAlternative" "\0"
  /* 14306 */ "SpeechRecognitionError" "\0"
  /* 14329 */ "SpeechRecognitionEvent" "\0"
  /* 14352 */ "SpeechRecognitionResult" "\0"
  /* 14376 */ "SpeechRecognitionResultList" "\0"
  /* 14404 */ "SpeechSynthesis" "\0"
  /* 14420 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14446 */ "SpeechSynthesisEvent" "\0"
  /* 14467 */ "SpeechSynthesisUtterance" "\0"
  /* 14492 */ "SpeechSynthesisVoice" "\0"
  /* 14513 */ "StaticRange" "\0"
  /* 14525 */ "StereoPannerNode" "\0"
  /* 14542 */ "Storage" "\0"
  /* 14550 */ "StorageEvent" "\0"
  /* 14563 */ "StorageManager" "\0"
  /* 14578 */ "StreamFilter" "\0"
  /* 14591 */ "StreamFilterDataEvent" "\0"
  /* 14613 */ "StructuredCloneHolder" "\0"
  /* 14635 */ "StructuredCloneTester" "\0"
  /* 14657 */ "StyleSheet" "\0"
  /* 14668 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14705 */ "StyleSheetList" "\0"
  /* 14720 */ "StyleSheetRemovedEvent" "\0"
  /* 14743 */ "SubmitEvent" "\0"
  /* 14755 */ "SubtleCrypto" "\0"
  /* 14768 */ "SyncMessageSender" "\0"
  /* 14786 */ "SyncReadFile" "\0"
  /* 14799 */ "TCPServerSocket" "\0"
  /* 14815 */ "TCPServerSocketEvent" "\0"
  /* 14836 */ "TCPSocket" "\0"
  /* 14846 */ "TCPSocketErrorEvent" "\0"
  /* 14866 */ "TCPSocketEvent" "\0"
  /* 14881 */ "TaskController" "\0"
  /* 14896 */ "TaskPriorityChangeEvent" "\0"
  /* 14920 */ "TaskSignal" "\0"
  /* 14931 */ "TelemetryStopwatch" "\0"
  /* 14950 */ "TestUtils" "\0"
  /* 14960 */ "TestingDeprecatedInterface" "\0"
  /* 14987 */ "Text" "\0"
  /* 14992 */ "TextClause" "\0"
  /* 15003 */ "TextDecoder" "\0"
  /* 15015 */ "TextDecoderStream" "\0"
  /* 15033 */ "TextEncoder" "\0"
  /* 15045 */ "TextEncoderStream" "\0"
  /* 15063 */ "TextEvent" "\0"
  /* 15073 */ "TextMetrics" "\0"
  /* 15085 */ "TextTrack" "\0"
  /* 15095 */ "TextTrackCue" "\0"
  /* 15108 */ "TextTrackCueList" "\0"
  /* 15125 */ "TextTrackList" "\0"
  /* 15139 */ "TimeEvent" "\0"
  /* 15149 */ "TimeRanges" "\0"
  /* 15160 */ "ToggleEvent" "\0"
  /* 15172 */ "Touch" "\0"
  /* 15178 */ "TouchEvent" "\0"
  /* 15189 */ "TouchList" "\0"
  /* 15199 */ "TrackEvent" "\0"
  /* 15210 */ "TransformStream" "\0"
  /* 15226 */ "TransformStreamDefaultController" "\0"
  /* 15259 */ "TransitionEvent" "\0"
  /* 15275 */ "TreeColumn" "\0"
  /* 15286 */ "TreeColumns" "\0"
  /* 15298 */ "TreeContentView" "\0"
  /* 15314 */ "TreeWalker" "\0"
  /* 15325 */ "TrustedHTML" "\0"
  /* 15337 */ "TrustedScript" "\0"
  /* 15351 */ "TrustedScriptURL" "\0"
  /* 15368 */ "TrustedTypePolicy" "\0"
  /* 15386 */ "TrustedTypePolicyFactory" "\0"
  /* 15411 */ "UDPMessageEvent" "\0"
  /* 15427 */ "UDPSocket" "\0"
  /* 15437 */ "UIEvent" "\0"
  /* 15445 */ "URL" "\0"
  /* 15449 */ "URLSearchParams" "\0"
  /* 15465 */ "URLSearchParams Iterator" "\0"
  /* 15490 */ "UniFFIPointer" "\0"
  /* 15504 */ "UniFFIScaffolding" "\0"
  /* 15522 */ "UserActivation" "\0"
  /* 15537 */ "UserInteraction" "\0"
  /* 15553 */ "UserProximityEvent" "\0"
  /* 15572 */ "VRDisplay" "\0"
  /* 15582 */ "VRDisplayCapabilities" "\0"
  /* 15604 */ "VRDisplayEvent" "\0"
  /* 15619 */ "VREyeParameters" "\0"
  /* 15635 */ "VRFieldOfView" "\0"
  /* 15649 */ "VRFrameData" "\0"
  /* 15661 */ "VRMockController" "\0"
  /* 15678 */ "VRMockDisplay" "\0"
  /* 15692 */ "VRPose" "\0"
  /* 15699 */ "VRServiceTest" "\0"
  /* 15713 */ "VRStageParameters" "\0"
  /* 15731 */ "VTTCue" "\0"
  /* 15738 */ "VTTRegion" "\0"
  /* 15748 */ "ValidityState" "\0"
  /* 15762 */ "VideoColorSpace" "\0"
  /* 15778 */ "VideoDecoder" "\0"
  /* 15791 */ "VideoEncoder" "\0"
  /* 15804 */ "VideoFrame" "\0"
  /* 15815 */ "VideoPlaybackQuality" "\0"
  /* 15836 */ "VideoTrack" "\0"
  /* 15847 */ "VideoTrackList" "\0"
  /* 15862 */ "VisualViewport" "\0"
  /* 15877 */ "WEBGL_color_buffer_float" "\0"
  /* 15902 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15932 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15961 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15991 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16022 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16052 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16087 */ "WEBGL_debug_renderer_info" "\0"
  /* 16113 */ "WEBGL_debug_shaders" "\0"
  /* 16133 */ "WEBGL_depth_texture" "\0"
  /* 16153 */ "WEBGL_draw_buffers" "\0"
  /* 16172 */ "WEBGL_explicit_present" "\0"
  /* 16195 */ "WEBGL_lose_context" "\0"
  /* 16214 */ "WEBGL_provoking_vertex" "\0"
  /* 16237 */ "WakeLock" "\0"
  /* 16246 */ "WakeLockSentinel" "\0"
  /* 16263 */ "WaveShaperNode" "\0"
  /* 16278 */ "WebExtensionContentScript" "\0"
  /* 16304 */ "WebExtensionPolicy" "\0"
  /* 16323 */ "WebGL2RenderingContext" "\0"
  /* 16346 */ "WebGLActiveInfo" "\0"
  /* 16362 */ "WebGLBuffer" "\0"
  /* 16374 */ "WebGLContextEvent" "\0"
  /* 16392 */ "WebGLFramebuffer" "\0"
  /* 16409 */ "WebGLProgram" "\0"
  /* 16422 */ "WebGLQuery" "\0"
  /* 16433 */ "WebGLRenderbuffer" "\0"
  /* 16451 */ "WebGLRenderingContext" "\0"
  /* 16473 */ "WebGLSampler" "\0"
  /* 16486 */ "WebGLShader" "\0"
  /* 16498 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16525 */ "WebGLSync" "\0"
  /* 16535 */ "WebGLTexture" "\0"
  /* 16548 */ "WebGLTransformFeedback" "\0"
  /* 16571 */ "WebGLUniformLocation" "\0"
  /* 16592 */ "WebGLVertexArrayObject" "\0"
  /* 16615 */ "WebKitCSSMatrix" "\0"
  /* 16631 */ "WebSocket" "\0"
  /* 16641 */ "WebTransport" "\0"
  /* 16654 */ "WebTransportBidirectionalStream" "\0"
  /* 16686 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16719 */ "WebTransportError" "\0"
  /* 16737 */ "WebTransportReceiveStream" "\0"
  /* 16763 */ "WebTransportSendStream" "\0"
  /* 16786 */ "WebrtcGlobalInformation" "\0"
  /* 16810 */ "WheelEvent" "\0"
  /* 16821 */ "Window" "\0"
  /* 16828 */ "WindowClient" "\0"
  /* 16841 */ "WindowContext" "\0"
  /* 16855 */ "WindowGlobalChild" "\0"
  /* 16873 */ "WindowGlobalParent" "\0"
  /* 16892 */ "WindowRoot" "\0"
  /* 16903 */ "Worker" "\0"
  /* 16910 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16936 */ "WorkerGlobalScope" "\0"
  /* 16954 */ "WorkerLocation" "\0"
  /* 16969 */ "WorkerNavigator" "\0"
  /* 16985 */ "WorkerTestUtils" "\0"
  /* 17001 */ "Worklet" "\0"
  /* 17009 */ "WorkletGlobalScope" "\0"
  /* 17028 */ "WritableStream" "\0"
  /* 17043 */ "WritableStreamDefaultController" "\0"
  /* 17075 */ "WritableStreamDefaultWriter" "\0"
  /* 17103 */ "XMLDocument" "\0"
  /* 17115 */ "XMLHttpRequest" "\0"
  /* 17130 */ "XMLHttpRequestEventTarget" "\0"
  /* 17156 */ "XMLHttpRequestUpload" "\0"
  /* 17177 */ "XMLSerializer" "\0"
  /* 17191 */ "XPathEvaluator" "\0"
  /* 17206 */ "XPathExpression" "\0"
  /* 17222 */ "XPathResult" "\0"
  /* 17234 */ "XRBoundedReferenceSpace" "\0"
  /* 17258 */ "XRFrame" "\0"
  /* 17266 */ "XRInputSource" "\0"
  /* 17280 */ "XRInputSourceArray" "\0"
  /* 17299 */ "XRInputSourceEvent" "\0"
  /* 17318 */ "XRInputSourcesChangeEvent" "\0"
  /* 17344 */ "XRPose" "\0"
  /* 17351 */ "XRReferenceSpace" "\0"
  /* 17368 */ "XRReferenceSpaceEvent" "\0"
  /* 17390 */ "XRRenderState" "\0"
  /* 17404 */ "XRRigidTransform" "\0"
  /* 17421 */ "XRSession" "\0"
  /* 17431 */ "XRSessionEvent" "\0"
  /* 17446 */ "XRSpace" "\0"
  /* 17454 */ "XRSystem" "\0"
  /* 17463 */ "XRView" "\0"
  /* 17470 */ "XRViewerPose" "\0"
  /* 17483 */ "XRViewport" "\0"
  /* 17494 */ "XRWebGLLayer" "\0"
  /* 17507 */ "XSLTProcessor" "\0"
  /* 17521 */ "XULCommandEvent" "\0"
  /* 17537 */ "XULElement" "\0"
  /* 17548 */ "XULFrameElement" "\0"
  /* 17564 */ "XULMenuElement" "\0"
  /* 17579 */ "XULPopupElement" "\0"
  /* 17595 */ "XULResizerElement" "\0"
  /* 17613 */ "XULTextElement" "\0"
  /* 17628 */ "XULTreeElement" "\0"
  /* 17643 */ "console" "\0"
  /* 17651 */ "webkitSpeechGrammar" "\0"
  /* 17671 */ "webkitSpeechGrammarList" "\0"
  /* 17695 */ "webkitSpeechRecognition" "\0"
  /* 17719 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

